Apply by doing:
        cd /usr/src
        patch -p0 < 008_sem.patch
And then rebuild your kernel.

Index: sys/kern/sysv_sem.c
===================================================================
RCS file: /cvs/src/sys/kern/sysv_sem.c,v
retrieving revision 1.21
retrieving revision 1.21.2.1
diff -u -p -r1.21 -r1.21.2.1
--- sys/kern/sysv_sem.c	9 Sep 2003 18:57:36 -0000	1.21
+++ sys/kern/sysv_sem.c	20 Nov 2003 23:51:12 -0000	1.21.2.1
@@ -276,7 +276,7 @@ sys___semctl(struct proc *p, void *v, re
 	DPRINTF(("call to semctl(%d, %d, %d, %p)\n", semid, semnum, cmd, arg));
 
 	semid = IPCID_TO_IX(semid);
-	if (semid < 0 || semid >= seminfo.semmsl)
+	if (semid < 0 || semid >= seminfo.semmni)
 		return (EINVAL);
 
 	if ((semaptr = sema[semid]) == NULL ||
@@ -531,7 +531,7 @@ sys_semop(struct proc *p, void *v, regis
 
 	semid = IPCID_TO_IX(semid);	/* Convert back to zero origin */
 
-	if (semid < 0 || semid >= seminfo.semmsl)
+	if (semid < 0 || semid >= seminfo.semmni)
 		return (EINVAL);
 
 	if ((semaptr = sema[semid]) == NULL ||
